# Chasse au trésor en ssh
Un environnement SSH avec des exercices ludiques.

## Licence
GPLv3

## Installation
Créer un fichier `config/users.txt` qui contient la liste des utilisateurices (un nom par ligne).  
ou  
Créer un fichier `config/passwords.txt` qui contient la liste des couples nom=password (un nom/mot de passe par ligne).  


Les comptes seront créés au démarrage du conteneur.

## Présentation
Chaque élève a un dossier perso dans `/home` dans lequel il peut se connecter en SSH à l’aide de son mot de passe dans `config/passwords.txt`.

## Génération de l’activité
```
cd exercices
./init.sh
```

## Énoncés des exercices
Les exercices sont disponibles pour les élèves via un navigateur.

## Réparer les fichiers d’élève
Si un·e élève a saccagé ses fichiers, il est possible de les réparer en lançant la commande suivante.  
$username est son nom d’utilisateurice.
```
cd exercices
./init.sh $username
```

## Ajouter des élèves en cours de route
Si l’activité est déjà lancée et que vous souhaitez ajouter des élèves, faites le IMPÉRATIVEMENT __en bas du fichier__ `config/users.txt` ou `config/passwords.txt`.
Sans quoi les comptes peuvent être recréés avec des UID différents au redémarrage du conteneur et les droits seront incohérents.   
Vous pouvez ensuite générer à nouveau l’activité pour créer les dossiers des nouve·lles·aux élèves.
