#!/bin/bash

if [ "$#" -eq 0 ] ; then

    mkdir -p /home/$USER
    cd /home/$USER

elif [ "$#" -eq 2 ] ; then

    mkdir -p $1
    cd $1

else 
    
    echo 'Generate file tree at /home/$USER. No random seed is used.'
    echo 'This is the first script you should run, in this life or the next.'
    echo "Usage: $0 --> Generate file tree at /home/\$USER with \$USER as owner of the files"
    echo "Usage: $0 <path> <username> --> Generate file tree at <path> with <username> as owner of the files"
    exit 1
    
fi

#If you wish to change, add or remove items in this list, please be cautious never to use whitespace caracters in file- or foler names, nor special caracters (é, à,...), nor any escapable caracter which might pose an issue when handling within bash or sh (/, \, ", ', (), #, , ;, :, $, ...)

mkdir -p viens/voir/par/ici/si/jy/suis
echo "faites demi-tour avec prudence" > viens/voir/par/ici/si/jy/suis/ah_bah_non
mkdir -p chez ; cd chez
mkdir -p moi toi lui elle ellui eux nous iels ; cd ..
mkdir -p Trash ; cd Trash
mkdir -p tmp info files prefecture ; cd ..
mkdir -p unix ; cd unix
mkdir -p bin boot dev etc home home/user home/root home/sudo home/user2 lib media mnt opt proc root run sbin srv sys tmp usr var
touch initrd.img vmlinuz ; cd ..
mkdir -p Images
touch Images/thisisBASHyoulowlycasual
mkdir -p TrucSuperImportant
echo -e "La vie ? \nUn sacré sac de petits tracas et de grandes contrariétés. \n\nMais avec des pauses crêpe, ça passe." > TrucSuperImportant/la_verite_se_trouve_ici.txt

mkdir -p "Video/My_Little_Pony-Friendship_is_Magic" ; cd "Video/My_Little_Pony-Friendship_is_Magic"
touch "1_-_Friendship_Is_Magic_(Part_1).webm" "2_-_Friendship_Is_Magic_(Part_2).webm" "3_-_The_Ticket_Master.webm" "4_-_Applebuck_Season.webm" "5_-_Griffon_the_Brush-Off.webm" "6_-_Boast_Busters.webm" "7_-_Dragonshy.webm" "8_-_Look_Before_You_Sleep.webm" "9_-_Bridle_Gossip.webm" "10_-_Swarm_of_the_Century.webm" "11_-_Winter_Wrap_Up.webm" "12_-_Call_of_the_Cutie.webm" "13_-_Fall_Weather_Friends.webm" "14_-_Suited_for_Success.webm" "15_-_Feeling_Pinkie_Keen.webm" "16_-_Sonic_Rainboom.webm" "17_-_Stare_Master.webm" "18_-_The_Show_Stoppers.webm" "19_-_A_Dog_and_Pony_Show.webm" "20_-_Green_Isn't_Your_Color.webm" "21_-_Over_a_Barrel.webm" "22_-_A_Bird_in_the_Hoof.webm" "23_-_The_Cutie_Mark_Chronicles.webm" "24_-_Owl's_Well_That_Ends_Well.webm" "25_-_Party_of_One.webm" "26_-_The_Best_Night_Ever.webm"
cd ../..

mkdir -p secrets
echo -e "https://www.infokiosques.net : Mine d'or de documentation anarchiste sur tous les sujets de luttes actuelles, passées et futures. Enfin une façon d'apprendre sans s'encombrer de l'école \!\nhttps://www.lamuledupape.com : média indépendant et entêté, qui donne des nouvelles du sud dont on n'entendra jamais parler à la télé ni la radio\nhttps://www.lepoing.net : journal participatif montpeliérain\nhttps://www.rebellyon.fr : actualités des luttes dans la région lyonnaise et le reste de la France\nhttps://www.lemediatv.fr : site de journalisme et actualités en vidéo, fait par des idéalistes indépendant.es" > secrets/ne_pas_ouvrir.txt

mkdir -p Musique
touch Musique/Joey_Gluten_-_Le_Pouvoir_des_Pierres
touch Musique/Trotsky_tulsky
touch Musique/Merryl_coucou
touch Musique/kriill_macarena
touch Musique/Mona_Haydar_-_Hijabi
touch Musique/Aya_Nakamura
touch Musique/Mili_World.execute.me


if [ "$#" -eq 0 ] ; then

    chown -R $USER /home/$USER

elif [ "$#" -eq 2 ] ; then

    chown -R $2 $1

fi
